/* SPDX-License-Identifier: GPL-2.0-only */
/*
 * Copyright (c) 2020-2021, The Linux Foundation. All rights reserved.
 */

#ifndef _BESBEV_REGISTERS_H
#define _BESBEV_REGISTERS_H

#define BESBEV_BASE          0x3000
#define BESBEV_ANA_BASE_ADDR 0x3000
#define BESBEV_DIG_BASE_ADDR 0x3400

#define BESBEV_REG(reg)  ((reg > BESBEV_DIG_BASE_ADDR) ? \
			   (reg - BESBEV_DIG_BASE_ADDR) : \
			   (reg - BESBEV_ANA_BASE_ADDR))

#define BESBEV_MAJOR_VERSION_BYTE                0x01
#define BESBEV_CHIP_VERSION_1_MAJOR              0x00
#define BESBEV_CHIP_VERSION_2_MAJOR              0x01

#define BESBEV_CHIP_VERSION_0_MINOR              0x00
#define BESBEV_CHIP_VERSION_1_MINOR              0x01

enum {
	REG_NO_ACCESS,
	RD_REG,
	WR_REG,
	RD_WR_REG
};

#define BESBEV_ANA_MICBIAS_MICB_1_2_EN		(BESBEV_ANA_BASE_ADDR+0x040)
#define BESBEV_ANA_MICBIAS_LDO_1_SETTING	(BESBEV_ANA_BASE_ADDR+0x041)
#define BESBEV_ANA_MICB_LDO_1_CTRL		(BESBEV_ANA_BASE_ADDR+0x042)
#define BESBEV_ANA_MICB_LDO_ATEST		(BESBEV_ANA_BASE_ADDR+0x043)
#define BESBEV_ANA_TX_AMIC1			(BESBEV_ANA_BASE_ADDR+0x047)
#define BESBEV_ANA_TX_AMIC2			(BESBEV_ANA_BASE_ADDR+0x048)
#define BESBEV_ANA_TX_ATEST_TOP_CTL		(BESBEV_ANA_BASE_ADDR+0x049)
#define BESBEV_ANA_TX_ATEST_BLK_CTL		(BESBEV_ANA_BASE_ADDR+0x04A)
#define BESBEV_ANA_TX_TEST_EN			(BESBEV_ANA_BASE_ADDR+0x04B)
#define BESBEV_ANA_TX_TEST_BLK_EN		(BESBEV_ANA_BASE_ADDR+0x04C)
#define BESBEV_ANA_TX_CKIN_CTL			(BESBEV_ANA_BASE_ADDR+0x04D)
#define BESBEV_ANA_TX_BIAS_CTL			(BESBEV_ANA_BASE_ADDR+0x04E)
#define BESBEV_ANA_TX_TEST_CTL			(BESBEV_ANA_BASE_ADDR+0x04F)
#define BESBEV_ANA_TX_TXFE_CLKDIV		(BESBEV_ANA_BASE_ADDR+0x050)
#define BESBEV_ANA_TX_SAR1_ERR			(BESBEV_ANA_BASE_ADDR+0x051)
#define BESBEV_ANA_TX_SAR2_ERR			(BESBEV_ANA_BASE_ADDR+0x052)
#define BESBEV_ANA_TX_CTUNE_BYP			(BESBEV_ANA_BASE_ADDR+0x053)
#define BESBEV_ANA_TX_RCTUNE_OUT		(BESBEV_ANA_BASE_ADDR+0x054)
#define BESBEV_ANA_TX_RCTUNE_CTL		(BESBEV_ANA_BASE_ADDR+0x055)
#define BESBEV_ANA_TX_ADC_VREF_CTL		(BESBEV_ANA_BASE_ADDR+0x056)
#define BESBEV_ANA_TX_MISC_CTL			(BESBEV_ANA_BASE_ADDR+0x057)
#define BESBEV_ANA_TX_SPARE			(BESBEV_ANA_BASE_ADDR+0x058)

#define BESBEV_ANA_MBIAS_TSADC_EN		(BESBEV_ANA_BASE_ADDR+0x0140)
#define BESBEV_MBIAS_TSADC_SPARE		(BESBEV_ANA_BASE_ADDR+0x0141)
#define BESBEV_MBIAS_TSADC_OP_CTL		(BESBEV_ANA_BASE_ADDR+0x0142)
#define BESBEV_MBIAS_TSADC_IREF_CTL		(BESBEV_ANA_BASE_ADDR+0x0143)
#define BESBEV_MBIAS_TSADC_ISENS_CTL		(BESBEV_ANA_BASE_ADDR+0x0144)
#define BESBEV_MBIAS_TSADC_CLK_CTL		(BESBEV_ANA_BASE_ADDR+0x0145)
#define BESBEV_MBIAS_TSADC_TEST_CTL_1		(BESBEV_ANA_BASE_ADDR+0x0146)
#define BESBEV_MBIAS_TSADC_BIAS_1		(BESBEV_ANA_BASE_ADDR+0x0147)
#define BESBEV_MBIAS_TSADC_ADC_CTL		(BESBEV_ANA_BASE_ADDR+0x0148)
#define BESBEV_MBIAS_TSADC_VBAT_SNS		(BESBEV_ANA_BASE_ADDR+0x0149)
#define BESBEV_MBIAS_TSADC_DOUT_MSB		(BESBEV_ANA_BASE_ADDR+0x014A)
#define BESBEV_MBIAS_TSADC_DOUT_LSB		(BESBEV_ANA_BASE_ADDR+0x014B)
#define BESBEV_MBIAS_TSADC_BOP_UVLO_PROG	(BESBEV_ANA_BASE_ADDR+0x014C)
#define BESBEV_MBIAS_TSADC_ADC_ITRIM_PROG	(BESBEV_ANA_BASE_ADDR+0x014D)
#define BESBEV_MBIAS_TSADC_BOP_HYST_PROG	(BESBEV_ANA_BASE_ADDR+0x014E)
#define BESBEV_MBIAS_TSADC_BOP_ATEST		(BESBEV_ANA_BASE_ADDR+0x014F)
#define BESBEV_SPK_TOP_DAC_CTRL_REG		(BESBEV_ANA_BASE_ADDR+0x0150)
#define BESBEV_SPK_TOP_DAC_EN_DEBUG_REG		(BESBEV_ANA_BASE_ADDR+0x0151)
#define BESBEV_SPK_TOP_DAC_REFBUF_CTRL_REG	(BESBEV_ANA_BASE_ADDR+0x0152)
#define BESBEV_SPK_TOP_ATEST_REG		(BESBEV_ANA_BASE_ADDR+0x0153)
#define BESBEV_SPK_TOP_SPKR_TOP_BIAS_REG1	(BESBEV_ANA_BASE_ADDR+0x0154)
#define BESBEV_SPK_TOP_SPKR_TOP_BIAS_REG2	(BESBEV_ANA_BASE_ADDR+0x0155)
#define BESBEV_SPK_TOP_SPKR_TOP_BIAS_REG3	(BESBEV_ANA_BASE_ADDR+0x0156)
#define BESBEV_SPK_TOP_SPKR_TOP_BIAS_REG4	(BESBEV_ANA_BASE_ADDR+0x0157)
#define BESBEV_SPK_TOP_SPKR_CLIP_DET_REG	(BESBEV_ANA_BASE_ADDR+0x0158)
#define BESBEV_SPK_TOP_SPKR_DRV_LF_BLK_EN	(BESBEV_ANA_BASE_ADDR+0x0159)
#define BESBEV_SPK_TOP_SPKR_DRV_LF_EN		(BESBEV_ANA_BASE_ADDR+0x015A)
#define BESBEV_SPK_TOP_SPKR_DRV_LF_MISC_CTL	(BESBEV_ANA_BASE_ADDR+0x015B)
#define BESBEV_SPK_TOP_SPKR_DRV_LF_MISC_CTL1	(BESBEV_ANA_BASE_ADDR+0x015C)
#define BESBEV_SPK_TOP_SPKR_DRV_LF_REG_GAIN	(BESBEV_ANA_BASE_ADDR+0x015D)
#define BESBEV_SPK_TOP_SPKR_DRV_OS_CAL_CTL	(BESBEV_ANA_BASE_ADDR+0x015E)
#define BESBEV_SPK_TOP_SPKR_DRV_OS_CAL_CTL1	(BESBEV_ANA_BASE_ADDR+0x015F)
#define BESBEV_SPK_TOP_SPKR_PWM_CLK_CTL		(BESBEV_ANA_BASE_ADDR+0x0160)
#define BESBEV_SPK_TOP_SPKR_PDRV_HS_CTL		(BESBEV_ANA_BASE_ADDR+0x0161)
#define BESBEV_SPK_TOP_SPKR_PDRV_LS_CTL		(BESBEV_ANA_BASE_ADDR+0x0162)
#define BESBEV_SPK_TOP_SPKR_PWRSTG_DBG		(BESBEV_ANA_BASE_ADDR+0x0163)
#define BESBEV_SPKR_OCP_CTL			(BESBEV_ANA_BASE_ADDR+0x0164)
#define BESBEV_SPK_TOP_SPKR_BBM_CTL		(BESBEV_ANA_BASE_ADDR+0x0165)
#define BESBEV_SPK_TOP_PA_STATUS0		(BESBEV_ANA_BASE_ADDR+0x0166)
#define BESBEV_SPK_TOP_PA_STATUS1		(BESBEV_ANA_BASE_ADDR+0x0167)
#define BESBEV_SPK_TOP_PA_STATUS2		(BESBEV_ANA_BASE_ADDR+0x0168)
#define BESBEV_SPK_TOP_SPARE			(BESBEV_ANA_BASE_ADDR+0x0169)
#define BESBEV_CKWD_CKWD_CTL_0			(BESBEV_ANA_BASE_ADDR+0x0170)
#define BESBEV_CKWD_CKWD_CTL_1			(BESBEV_ANA_BASE_ADDR+0x0171)
#define BESBEV_CKWD_CKWD_CTL_2			(BESBEV_ANA_BASE_ADDR+0x0172)
#define BESBEV_CKWD_ADTEST			(BESBEV_ANA_BASE_ADDR+0x0173)
#define BESBEV_CKWD_STATUS			(BESBEV_ANA_BASE_ADDR+0x0174)
#define BESBEV_CKWD_SPARE			(BESBEV_ANA_BASE_ADDR+0x0175)
#define BESBEV_IVSENSE_EN			(BESBEV_ANA_BASE_ADDR+0x0180)
#define BESBEV_IVSENSE_OVERRIDE1		(BESBEV_ANA_BASE_ADDR+0x0181)
#define BESBEV_IVSENSE_OVERRIDE2		(BESBEV_ANA_BASE_ADDR+0x0182)
#define BESBEV_IVSENSE_ISENSE1			(BESBEV_ANA_BASE_ADDR+0x0184)
#define BESBEV_IVSENSE_VSENSE1			(BESBEV_ANA_BASE_ADDR+0x0183)
#define BESBEV_IVSENSE_ISENSE2			(BESBEV_ANA_BASE_ADDR+0x0185)
#define BESBEV_IVSENSE_ISENSE_CAL		(BESBEV_ANA_BASE_ADDR+0x0186)
#define BESBEV_IVSENSE_MISC			(BESBEV_ANA_BASE_ADDR+0x0187)
#define BESBEV_IVSENSE_ADC_0			(BESBEV_ANA_BASE_ADDR+0x0188)
#define BESBEV_IVSENSE_ADC_1			(BESBEV_ANA_BASE_ADDR+0x0189)
#define BESBEV_IVSENSE_ADC_2			(BESBEV_ANA_BASE_ADDR+0x018A)
#define BESBEV_IVSENSE_ADC_3			(BESBEV_ANA_BASE_ADDR+0x018B)
#define BESBEV_IVSENSE_ADC_4			(BESBEV_ANA_BASE_ADDR+0x018C)
#define BESBEV_IVSENSE_ADC_5			(BESBEV_ANA_BASE_ADDR+0x018D)
#define BESBEV_IVSENSE_ADC_6			(BESBEV_ANA_BASE_ADDR+0x018E)
#define BESBEV_IVSENSE_ADC_7			(BESBEV_ANA_BASE_ADDR+0x018F)
#define BESBEV_IVSENSE_STATUS			(BESBEV_ANA_BASE_ADDR+0x0190)
#define BESBEV_IVSENSE_CALREF_CALICODE		(BESBEV_ANA_BASE_ADDR+0x0191)
#define BESBEV_IVSENSE_IDLE_CTRL		(BESBEV_ANA_BASE_ADDR+0x0192)
#define BESBEV_IVSENSE_SPARE_STATUS		(BESBEV_ANA_BASE_ADDR+0x0193)

#define BESBEV_DIG_SWR_CHIP_ID0			(BESBEV_DIG_BASE_ADDR+0x001)
#define BESBEV_DIG_SWR_CHIP_ID1			(BESBEV_DIG_BASE_ADDR+0x002)
#define BESBEV_DIG_SWR_CHIP_ID2			(BESBEV_DIG_BASE_ADDR+0x003)
#define BESBEV_DIG_SWR_CHIP_ID3			(BESBEV_DIG_BASE_ADDR+0x004)
#define BESBEV_CHIP_ID(n)			(BESBEV_DIG_BASE_ADDR+(n))

#define BESBEV_DIG_SWR_CDC_RST_CTL		(BESBEV_DIG_BASE_ADDR+0x040)
#define BESBEV_DIG_SWR_CDC_RST			(BESBEV_DIG_BASE_ADDR+0x041)
#define BESBEV_DIG_SWR_CDC_RX_RST		(BESBEV_DIG_BASE_ADDR+0x042)
#define BESBEV_DIG_SWR_CDC_TX_RST		(BESBEV_DIG_BASE_ADDR+0x043)
#define BESBEV_DIG_SWR_RST_EN			(BESBEV_DIG_BASE_ADDR+0x044)
#define BESBEV_DIG_SWR_CLK_CFG			(BESBEV_DIG_BASE_ADDR+0x048)
#define BESBEV_DIG_SWR_TX_CLK_RATE		(BESBEV_DIG_BASE_ADDR+0x049)
#define BESBEV_DIG_SWR_CDC_RX_MODE		(BESBEV_DIG_BASE_ADDR+0x04A)
#define BESBEV_DIG_SWR_CDC_TX_MODE		(BESBEV_DIG_BASE_ADDR+0x04B)
#define BESBEV_DIG_SWR_RX_CLK_CTL		(BESBEV_DIG_BASE_ADDR+0x04C)
#define BESBEV_DIG_SWR_TX_CLK_CTL		(BESBEV_DIG_BASE_ADDR+0x04D)
#define BESBEV_PA_FSM_CTL			(BESBEV_DIG_BASE_ADDR+0x0050)
#define BESBEV_PA_FSM_TIMER0			(BESBEV_DIG_BASE_ADDR+0x0051)
#define BESBEV_PA_FSM_TIMER1			(BESBEV_DIG_BASE_ADDR+0x0052)
#define BESBEV_PA_FSM_STA			(BESBEV_DIG_BASE_ADDR+0x0053)
#define BESBEV_PA_FSM_ERR_COND			(BESBEV_DIG_BASE_ADDR+0x0054)
#define BESBEV_PA_FSM_MSK			(BESBEV_DIG_BASE_ADDR+0x0055)
#define BESBEV_PA_FSM_BYP			(BESBEV_DIG_BASE_ADDR+0x0056)
#define BESBEV_PA_FSM_DBG			(BESBEV_DIG_BASE_ADDR+0x0057)
#define BESBEV_PA_OTP_LOW_M			(BESBEV_DIG_BASE_ADDR+0x005C)
#define BESBEV_PA_OTP_LOW_L			(BESBEV_DIG_BASE_ADDR+0x005D)
#define BESBEV_PA_OTP_HIGH_M			(BESBEV_DIG_BASE_ADDR+0x005E)
#define BESBEV_PA_OTP_HIGH_L			(BESBEV_DIG_BASE_ADDR+0x005F)
#define BESBEV_TADC_VALUE_CTL			(BESBEV_DIG_BASE_ADDR+0x0060)
#define BESBEV_TEMP_DETECT_CTL			(BESBEV_DIG_BASE_ADDR+0x0061)
#define BESBEV_TEMP_MSB				(BESBEV_DIG_BASE_ADDR+0x0062)
#define BESBEV_TEMP_LSB				(BESBEV_DIG_BASE_ADDR+0x0063)
#define BESBEV_TEMP_CONFIG0			(BESBEV_DIG_BASE_ADDR+0x0064)
#define BESBEV_TEMP_CONFIG1			(BESBEV_DIG_BASE_ADDR+0x0065)
#define BESBEV_VBAT_ADC_FLT_CTL			(BESBEV_DIG_BASE_ADDR+0x0066)
#define BESBEV_VBAT_DIN_MSB			(BESBEV_DIG_BASE_ADDR+0x0067)
#define BESBEV_VBAT_DIN_LSB			(BESBEV_DIG_BASE_ADDR+0x0068)
#define BESBEV_VBAT_DOUT			(BESBEV_DIG_BASE_ADDR+0x0069)
#define BESBEV_SDM_PDM9_LSB			(BESBEV_DIG_BASE_ADDR+0x006A)
#define BESBEV_SDM_PDM9_MSB			(BESBEV_DIG_BASE_ADDR+0x006B)
#define BESBEV_UVLO_DEGLITCH_CTL		(BESBEV_DIG_BASE_ADDR+0x006C)
#define BESBEV_BOP_DEGLITCH_CTL			(BESBEV_DIG_BASE_ADDR+0x006D)
#define BESBEV_CDC_RX_CTL			(BESBEV_DIG_BASE_ADDR+0x0070)
#define BESBEV_CDC_SPK_GAIN_PDM_0		(BESBEV_DIG_BASE_ADDR+0x0088)
#define BESBEV_CDC_SPK_GAIN_PDM_1		(BESBEV_DIG_BASE_ADDR+0x0089)
#define BESBEV_CDC_SPK_GAIN_PDM_2		(BESBEV_DIG_BASE_ADDR+0x008A)
#define BESBEV_PDM_WD_CTL			(BESBEV_DIG_BASE_ADDR+0x008B)
#define BESBEV_DEM_BYPASS_DATA0			(BESBEV_DIG_BASE_ADDR+0x008C)
#define BESBEV_DEM_BYPASS_DATA1			(BESBEV_DIG_BASE_ADDR+0x008D)
#define BESBEV_DEM_BYPASS_DATA2			(BESBEV_DIG_BASE_ADDR+0x008E)
#define BESBEV_DEM_BYPASS_DATA3			(BESBEV_DIG_BASE_ADDR+0x008F)

#define BESBEV_DRE_CTL_0			(BESBEV_DIG_BASE_ADDR+0x00AC)
#define BESBEV_DRE_CTL_1			(BESBEV_DIG_BASE_ADDR+0x00AD)
#define BESBEV_DRE_IDLE_DET_CTL			(BESBEV_DIG_BASE_ADDR+0x00AE)
#define BESBEV_DIG_GAIN_RAMPING_CTL		(BESBEV_DIG_BASE_ADDR+0x0AF)
#define BESBEV_TAGC_CTL				(BESBEV_DIG_BASE_ADDR+0x00B8)
#define BESBEV_TAGC_TIME			(BESBEV_DIG_BASE_ADDR+0x00B9)
#define BESBEV_TAGC_E2E_GAIN			(BESBEV_DIG_BASE_ADDR+0x00BA)
#define BESBEV_TAGC_FORCE_VAL			(BESBEV_DIG_BASE_ADDR+0x00BB)
#define BESBEV_VAGC_CTL				(BESBEV_DIG_BASE_ADDR+0x00BC)
#define BESBEV_VAGC_TIME			(BESBEV_DIG_BASE_ADDR+0x00BD)
#define BESBEV_VAGC_ATTN_LVL_1_2		(BESBEV_DIG_BASE_ADDR+0x00BE)
#define BESBEV_VAGC_ATTN_LVL_3			(BESBEV_DIG_BASE_ADDR+0x00BF)
#define BESBEV_INTR_MODE			(BESBEV_DIG_BASE_ADDR+0x00C0)
#define BESBEV_INTR_MASK0			(BESBEV_DIG_BASE_ADDR+0x00C1)
#define BESBEV_INTR_MASK1			(BESBEV_DIG_BASE_ADDR+0x00C2)
#define BESBEV_INTR_STATUS0			(BESBEV_DIG_BASE_ADDR+0x00C3)
#define BESBEV_INTR_STATUS1			(BESBEV_DIG_BASE_ADDR+0x00C4)
#define BESBEV_INTR_CLEAR0			(BESBEV_DIG_BASE_ADDR+0x00C5)
#define BESBEV_INTR_CLEAR1			(BESBEV_DIG_BASE_ADDR+0x00C6)
#define BESBEV_INTR_LEVEL0			(BESBEV_DIG_BASE_ADDR+0x00C7)
#define BESBEV_INTR_LEVEL1			(BESBEV_DIG_BASE_ADDR+0x00C8)
#define BESBEV_INTR_SET0			(BESBEV_DIG_BASE_ADDR+0x00C9)
#define BESBEV_INTR_SET1			(BESBEV_DIG_BASE_ADDR+0x00CA)
#define BESBEV_INTR_TEST0			(BESBEV_DIG_BASE_ADDR+0x00CB)
#define BESBEV_INTR_TEST1			(BESBEV_DIG_BASE_ADDR+0x00CC)

#define BESBEV_PDM_TEST_MODE			(BESBEV_DIG_BASE_ADDR+0x00D0)
#define BESBEV_DIG_DEBUG_CTL			(BESBEV_DIG_BASE_ADDR+0x00D1)
#define BESBEV_DIG_DEBUG_EN			(BESBEV_DIG_BASE_ADDR+0x00D2)
#define BESBEV_SWR_HM_TEST0			(BESBEV_DIG_BASE_ADDR+0x00D3)
#define BESBEV_SWR_HM_TEST1			(BESBEV_DIG_BASE_ADDR+0x00D4)
#define BESBEV_SAMPLE_EDGE_SEL			(BESBEV_DIG_BASE_ADDR+0x00D5)
#define BESBEV_DATA_EDGE_CTL			(BESBEV_DIG_BASE_ADDR+0x00D6)
#define BESBEV_SWR_EDGE_SEL			(BESBEV_DIG_BASE_ADDR+0x00D7)
#define BESBEV_TADC_DETECT_DBG_CTL		(BESBEV_DIG_BASE_ADDR+0x00D8)
#define BESBEV_TADC_DEBUG_MSB			(BESBEV_DIG_BASE_ADDR+0x00D9)
#define BESBEV_TADC_DEBUG_LSB			(BESBEV_DIG_BASE_ADDR+0x00DA)
#define BESBEV_SSP_DBG				(BESBEV_DIG_BASE_ADDR+0x00DB)
#define BESBEV_DIG_DEBUG_CSR			(BESBEV_DIG_BASE_ADDR+0x00DC)
#define BESBEV_SPARE_0				(BESBEV_DIG_BASE_ADDR+0x00DD)
#define BESBEV_SPARE_1				(BESBEV_DIG_BASE_ADDR+0x00DE)
#define BESBEV_SPARE_2				(BESBEV_DIG_BASE_ADDR+0x00DF)
#define BESBEV_TRIM_NUM				(BESBEV_DIG_BASE_ADDR+0x00F0)
#define BESBEV_CDC_TX0_CTL			(BESBEV_DIG_BASE_ADDR+0x0160)
#define BESBEV_CDC_TX1_CTL			(BESBEV_DIG_BASE_ADDR+0x0161)
#define BESBEV_CDC_REQ0_CTL			(BESBEV_DIG_BASE_ADDR+0x0164)
#define BESBEV_CDC_REQ1_CTL			(BESBEV_DIG_BASE_ADDR+0x0165)
#define BESBEV_P5_SPARE_0			(BESBEV_DIG_BASE_ADDR+0x01B7)
#define BESBEV_P5_SPARE_1			(BESBEV_DIG_BASE_ADDR+0x01B8)
#define BESBEV_P5_SPARE_2			(BESBEV_DIG_BASE_ADDR+0x01B9)
#define BESBEV_P5_TRIM_NUM			(BESBEV_DIG_BASE_ADDR+0x01F0)

#define BESBEV_ANALOG_REGISTERS_MAX_SIZE	(BESBEV_IVSENSE_SPARE_STATUS + 1)
#define BESBEV_DIGITAL_REGISTERS_MAX_SIZE	(BESBEV_P5_TRIM_NUM + 1)
#define BESBEV_ANALOG_MAX_REGISTER		(BESBEV_ANALOG_REGISTERS_MAX_SIZE - 1)
#define BESBEV_DIGITAL_MAX_REGISTER		(BESBEV_DIGITAL_REGISTERS_MAX_SIZE - 1)

#define BESBEV_NUM_REGISTERS			(BESBEV_ANALOG_MAX_REGISTER+BESBEV_DIGITAL_MAX_REGISTER)
#define BESBEV_MAX_REGISTER			(BESBEV_NUM_REGISTERS-1)

#endif /* _BESBEV_REGISTERS_H */
